=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2008-08-06 19:05:07 +0000
+++ drizzled/Makefile.am	2008-08-09 02:24:34 +0000
@@ -60,7 +60,7 @@
 LDADD = $(top_builddir)/vio/libviolt.la \
 	$(top_builddir)/libdrizzle/libsqlcommon.la \
 	$(top_builddir)/mysys/libmysys.la \
-	$(top_builddir)/mystrings/libmystringslt.la \
+	$(top_builddir)/mystrings/libmystrings.la \
 	$(ZLIB_LIBS) $(LIBINTL)
 
 drizzled_LDADD = libhandler.la \

=== modified file 'extra/Makefile.am'
--- extra/Makefile.am	2008-08-06 01:00:22 +0000
+++ extra/Makefile.am	2008-08-09 02:24:34 +0000
@@ -14,7 +14,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 LDADD =		$(top_builddir)/mysys/libmysys.la \
-            	$(top_builddir)/mystrings/libmystringslt.la \
+            	$(top_builddir)/mystrings/libmystrings.la \
 		$(LIBINTL)
 	
 

=== modified file 'libdrizzle/Makefile.am'
--- libdrizzle/Makefile.am	2008-08-06 02:02:00 +0000
+++ libdrizzle/Makefile.am	2008-08-09 02:24:34 +0000
@@ -35,7 +35,7 @@
 libdrizzle_la_SOURCES = libdrizzle.c client.c local_infile.c net_serv.c get_password.c
 libdrizzle_la_LIBADD =	${sql_cmn_objects} ${sqlobjects} \
 			${top_builddir}/mysys/libmysys.la \
-			${top_builddir}/mystrings/libmystringslt.la \
+			${top_builddir}/mystrings/libmystrings.la \
 			libsqlcommon.la \
 			${top_builddir}/vio/libviolt.la 
 libdrizzle_la_LDFLAGS = -version-info @SHARED_LIB_VERSION@ @LD_VERSION_SCRIPT@ 

=== modified file 'mystrings/Makefile.am'
--- mystrings/Makefile.am	2008-08-09 01:34:21 +0000
+++ mystrings/Makefile.am	2008-08-09 02:24:34 +0000
@@ -13,18 +13,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-# This file is public domain and comes with NO WARRANTY of any kind
-pkglib_LTLIBRARIES =	libmystrings.la
-libmystrings_la_LDFLAGS = -static
-libmystrings_la_SOURCES = 
-
-# Force C++ linking - dummy.cxx doesn't have to exist with EXTRA in the name
-nodist_EXTRA_libmystrings_la_SOURCES = dummy.cxx
-# This can't be listed here as $(top_builddir)/strings/libmystingslt.la
-# or it breaks make's dependency track for -j builds
-libmystrings_la_LIBADD = libmystringslt.la
-
-noinst_LTLIBRARIES =	libmystringslt.la
+noinst_LTLIBRARIES =	libmystrings.la
 
 
 mystringsincludedir = ${includedir}/mystrings
@@ -38,8 +27,8 @@
 
 # LTLIBOBJS contains strstr strtoll strtoull stpcpy IFF the don't exist on
 # the target system. This helps prevent empty object file problems.
-libmystringslt_la_LIBADD = $(LTLIBOBJS)
-libmystringslt_la_SOURCES = 	strxmov.c bmove_upp.c strappend.c strcont.c \
+libmystrings_la_LIBADD = $(LTLIBOBJS)
+libmystrings_la_SOURCES = 	strxmov.c bmove_upp.c strappend.c strcont.c \
 				strend.c strfill.c strcend.c is_prefix.c \
 				strmake.c strnmov.c longlong2str.c \
 				my_strtoll10.c bmove512.c \

=== modified file 'storage/archive/Makefile.am'
--- storage/archive/Makefile.am	2008-08-06 01:00:22 +0000
+++ storage/archive/Makefile.am	2008-08-09 02:24:34 +0000
@@ -47,7 +47,7 @@
 archive_performance_SOURCES =	archive_performance.c azio.c
 archive_performance_CFLAGS =	$(AM_CFLAGS) 
 archive_performance_LDADD =	$(top_builddir)/mysys/libmysys.la \
-			$(top_builddir)/mystrings/libmystringslt.la \
+			$(top_builddir)/mystrings/libmystrings.la \
 			$(LDADD) \
 			-lz
 archive_performance_LDFLAGS =
@@ -55,7 +55,7 @@
 archive_test_SOURCES =	archive_test.c azio.c
 archive_test_CFLAGS =	$(AM_CFLAGS) 
 archive_test_LDADD =	$(top_builddir)/mysys/libmysys.la \
-			$(top_builddir)/mystrings/libmystringslt.la \
+			$(top_builddir)/mystrings/libmystrings.la \
 			$(LDADD) \
 			-lz
 archive_test_LDFLAGS =
@@ -63,7 +63,7 @@
 archive_reader_SOURCES = archive_reader.c azio.c
 archive_reader_CFLAGS =	$(AM_CFLAGS) 
 archive_reader_LDADD =	$(top_builddir)/mysys/libmysys.la \
-			$(top_builddir)/mystrings/libmystringslt.la \
+			$(top_builddir)/mystrings/libmystrings.la \
 			$(LDADD) \
 			-lz
 archive_reader_LDFLAGS =
@@ -71,7 +71,7 @@
 concurrency_test_SOURCES = concurrency_test.c azio.c
 concurrency_test_CFLAGS =	$(AM_CFLAGS) 
 concurrency_test_LDADD =	$(top_builddir)/mysys/libmysys.la \
-			$(top_builddir)/mystrings/libmystringslt.la \
+			$(top_builddir)/mystrings/libmystrings.la \
 			$(top_builddir)/libdrizzle/libdrizzle.la \
 			$(LDADD) \
 			-lz

=== modified file 'storage/heap/Makefile.am'
--- storage/heap/Makefile.am	2008-08-05 19:01:20 +0000
+++ storage/heap/Makefile.am	2008-08-09 02:24:34 +0000
@@ -20,7 +20,7 @@
 
 LDADD =			libheap.la \
 			$(top_builddir)/mysys/libmysys.la \
-			$(top_builddir)/strings/libmystringslt.la
+			$(top_builddir)/strings/libmystrings.la
 
 DEFS =                  @DEFS@
 noinst_LTLIBRARIES  =	libheap.la

=== modified file 'storage/myisam/Makefile.am'
--- storage/myisam/Makefile.am	2008-08-06 03:56:10 +0000
+++ storage/myisam/Makefile.am	2008-08-09 02:24:34 +0000
@@ -21,7 +21,7 @@
 LDADD=			libmyisamutil.la \
 			libmyisamnone.la \
 			$(top_builddir)/mysys/libmysys.la \
-			$(top_builddir)/mystrings/libmystringslt.la -lz \
+			$(top_builddir)/mystrings/libmystrings.la -lz \
 			$(LIBINTL)
 
 DEFS =                  @DEFS@

=== modified file 'tests/Makefile.am'
--- tests/Makefile.am	2008-08-07 15:38:40 +0000
+++ tests/Makefile.am	2008-08-09 02:24:34 +0000
@@ -30,7 +30,7 @@
 noinst_PROGRAMS = 	resolve_stack_dump
 
 LDADD=			$(top_builddir)/mysys/libmysys.la \
-                        $(top_builddir)/mystrings/libmystringslt.la \
+                        $(top_builddir)/mystrings/libmystrings.la \
 			$(LIBINTL)
 
 

